.featured-topics-block {
  background-color: var(--color-gray-200);
}

.featured-topics {
  width: 100%;
  max-width: 90rem;
  padding: 2.5rem var(--container-padding);
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.featured-topics__title {
  display: flex;
  align-items: center;
  gap: 0.75rem;
  font-family: HurmeGeometricSans1;
  font-weight: bold;
  font-size: 1.75rem;
  line-height: 1.2875;
  color: #151515;
}

.featured-topics__title-icon {
  display: inline-flex;
  color: #151515;
}

.featured-topics__title-icon svg {
  width: 0.5625rem;
  height: 1.5rem;
}

.featured-topics__container {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1.5rem;
}

.featured-topics__card {
  position: relative;
  width: 100%;
  min-height: 25rem;
  overflow: hidden;
  display: flex;
  color: #fff;
}

.featured-topics__card::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)), linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.6) 100%);
  pointer-events: none;
  z-index: 2;
}

.featured-topics__card-image {
  object-fit: cover;
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.featured-topics__card-content {
  position: relative;
  z-index: 3;
  display: flex;
  flex: 1;
  flex-direction: column;
  justify-content: flex-end;
  padding: 2rem;
  gap: 2rem;
}

.featured-topics__card-title {
  font-family: HurmeGeometricSans1;
  font-weight: bold;
  font-size: 1.5rem;
  line-height: 1.3333;
  margin-bottom: 1rem;
  color: #fff;
}

.featured-topics__card-description {
  font-family: HurmeGeometricSans1;
  font-size: 0.875rem;
  line-height: 1.4285;
  color: #fff;
}

.featured-topics__card-cta {
  align-self: flex-start;
  border: none;
}

@media (min-width: 64rem) {
  .featured-topics {
    gap: 4rem;
    padding: 7.5rem var(--container-padding);
  }

  .featured-topics__container {
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 2rem;
  }

  .featured-topics__card {
    min-height: 31.25rem;
  }

  .featured-topics__title {
    font-size: 3rem;
    gap: 1.5rem;
  }

  .featured-topics__title-icon svg {
    width: 1.0625rem;
    height: 2.75rem;
  }
  

  .featured-topics__card-title {
    font-size: 2rem;
    line-height: 1.1612;
  }

  .featured-topics__card-description {
    font-size: 1rem;
    line-height: 1.5;
  }
}
